Enable 'Ping from edit summary' on beta labs (or test.wikipedia.org)
Closed, ResolvedPublic1 Story Points

Description

Generate a publicly shareable link for a testing environment for https://meta.wikimedia.org/wiki/Community_Tech/Ping_users_from_the_edit_summary

TBolliger triaged this task as Normal priority.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptFeb 20 2018, 10:03 PM
TBolliger renamed this task from Deploy 'Ping from edit summary' to CommTech wiki for testing to Enable 'Ping from edit summary' on beta labs (or test.wikipedia.org).Feb 21 2018, 12:04 AM
TBolliger updated the task description. (Show Details)
TBolliger set the point value for this task to 1.
MaxSem claimed this task.Feb 23 2018, 9:47 PM
MaxSem edited projects, added Community-Tech-Sprint; removed Community-Tech.
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 413879 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] beta: enable mentions in edit summaries

https://gerrit.wikimedia.org/r/413879

Change 413879 merged by jenkins-bot:
[operations/mediawiki-config@master] beta: enable mentions in edit summaries

https://gerrit.wikimedia.org/r/413879

MaxSem closed this task as Resolved.Feb 27 2018, 12:44 AM

Testing on beta wikipedia now. Works great! Good job, Max!

This edit produced this on-wiki notification:

and this email:

I tested the notification preferences, which work as expected.

I have not testing pinging more than 5 users. I don't have enough socks on beta to easily test this.

TBolliger added a comment.EditedFeb 27 2018, 9:38 PM

Just a testing note, not sure we need to change anything: Mentioning a user on a talk page and in the edit summary will send two Mention notifications:

https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Talk:Intro_of_planet_articles&oldid=prev&diff=376343

Just a testing note, not sure we need to change anything: Mentioning a user on a talk page and in the edit summary will send two Mention notifications:

https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Talk:Intro_of_planet_articles&oldid=prev&diff=376343

I think that is fine. The secondary messages in both cases are different, which makes it clearer why there are two notifications.

Agreed. And it's kind of the same as sending someone a chat message of "I just sent you an email" which I've never done. 😬